(* Mathematica Test File *)


(*	What are Constants
*)
Test[
	ConstantExpressionQ[\[Lambda]],
	True,
	TestID->"Analyze-20160502-M7K6E7"
]

Test[
	ConstantExpressionQ[3.7],
	True,
	TestID->"Constant-20160502-C0J5J8"
]

Test[
	ConstantExpressionQ[3.7 Sin[Log[\[Lambda] \[HBar]]]],
	True,
	TestID->"Constant-20160502-L5P6U3"
]

Test[
	ConstantExpressionQ[BraKet[{m},{n}]],
	True,
	TestID->"Constant-20160502-V4C8C7"
]

Test[
	ConstantExpressionQ[Unevaluated[Bra[m] ** Ket[n]]],
	True,
	TestID->"Constant-20160502-J9Q6B6"
]

Test[
	ConstantExpressionQ[Unevaluated[Bra[m] ** Operator[H] ** Ket[n]]],
	True,
	TestID->"Constant-20160502-G8K9Y0"
]

Test[
	ConstantExpressionQ[Unevaluated[Bra[m] ** Exp[-I \[HBar] Operator[H]] ** Ket[n]]],
	True,
	TestID->"Constant-20160502-H2B1X4"
]

Test[
	ConstantExpressionQ[Sum[\[Lambda] ^ i \[CapitalDelta]Coeff[n, i], {i, 0, Infinity}]],
	True,
	TestID->"Constant-20160518-V6C7A1"
]

Test[
	ConstantExpressionQ[1/(E0[n]-E0[k])],
	True,
	TestID->"Constant-20160708-Z4P9W5"
]

Test[
	ConstantExpressionQ[C[5]],
	True,
	TestID->"Constant-20170220-M9R9X1"
]

Test[
	ConstantExpressionQ[Subscript[C, 4]],
	True,
	TestID->"Constant-20170220-Q6C6G6"
]

(*	What are Constants not
*)
Test[
	ConstantExpressionQ["a string"],
	False,
	TestID->"Analyze-20160503-A5F0J2"
]
